<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{13FA10AB-D656-4D72-BC69-2525D484C9DE}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Ntp.Monitor.Server</RootNamespace>
    <AssemblyName>Ntp.Monitor.Server</AssemblyName>
    <ReleaseVersion>0.6.2</ReleaseVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin</OutputPath>
    <DefineConstants>DEBUG;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>full</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Server|AnyCPU' ">
    <Optimize>true</Optimize>
    <OutputPath>..\bin</OutputPath>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Develop|AnyCPU' ">
    <Optimize>false</Optimize>
    <OutputPath>..\bin</OutputPath>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Listener.cs" />
    <Compile Include="Request.cs" />
    <Compile Include="ApplicationState.cs" />
    <Compile Include="CommandType.cs" />
    <Compile Include="CommandFactory.cs" />
    <Compile Include="CommandDescription.cs" />
    <Compile Include="ICommandDescription.cs" />
    <Compile Include="TextCommand\PidCommand.cs" />
    <Compile Include="TextCommand\PingCommand.cs" />
    <Compile Include="TextCommand\VersionCommand.cs" />
    <Compile Include="TextCommand\ConfigFileCommand.cs" />
    <Compile Include="TextCommand\HelpCommand.cs" />
    <Compile Include="TextCommand\JobsCommand.cs" />
    <Compile Include="TextCommand\ScheduleCommand.cs" />
    <Compile Include="TextCommand\TimeCommand.cs" />
    <Compile Include="TextCommand\NextJobCommand.cs" />
    <Compile Include="TextCommand\ServerCommand.cs" />
    <Compile Include="TextCommand\ProgCommand.cs" />
    <Compile Include="TextCommand\MonitorTextCommand.cs" />
    <Compile Include="TextCommand\UptimeCommand.cs" />
    <Compile Include="Command.cs" />
    <Compile Include="PacketCommand\PacketCommand.cs" />
    <Compile Include="PacketCommand\JobPacketCommand.cs" />
    <Compile Include="TextCommand\RunningCommand.cs" />
    <Compile Include="TextCommand\ProcCommand.cs" />
    <Compile Include="TextCommand\ActivityCommand.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <Folder Include="TextCommand\" />
    <Folder Include="PacketCommand\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Ntp.Analyzer\Ntp.Analyzer.csproj">
      <Project>{28444C86-1B41-4558-BA27-DCF32B2B1E0F}</Project>
      <Name>Ntp.Analyzer</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer.Objects\Ntp.Analyzer.Objects.csproj">
      <Project>{02912378-E62D-4445-BA30-F56D3ABE9DA2}</Project>
      <Name>Ntp.Analyzer.Objects</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Config\Ntp.Config.csproj">
      <Project>{43A1A769-6ED9-4AE1-821A-43F97814968C}</Project>
      <Name>Ntp.Config</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Process\Ntp.Process.csproj">
      <Project>{CCF0EE0C-E3E4-4A75-AFEB-C709ED51E90F}</Project>
      <Name>Ntp.Process</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer.Data\Ntp.Analyzer.Data.csproj">
      <Project>{8263BEAB-1610-4F82-9FC0-84421E5AB6B0}</Project>
      <Name>Ntp.Analyzer.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Log\Ntp.Log.csproj">
      <Project>{909C8729-ED63-4603-85EA-34A1FC4D63D9}</Project>
      <Name>Ntp.Log</Name>
    </ProjectReference>
  </ItemGroup>
</Project>